
QGIS Application - Bug report #13826

Selecting features hangs QGIS 2.12.0 on OS X

2015-11-13 05:58 AM - Michal Jurewicz

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.12.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21851

Description

I found problem with newest QGIS 2.12.0 on OS X 10.11.1. Selecting any features hangs QGIS. First few selection works fine but after a

few any next selecting/deselecting takes more and more time and finally hangs QGIS completely. For now it make QGIS totally worthless

for editing vector data.

BTW I'm working on SHP files with EPSG:4326 projection and UTF-8 encoding.

History

#1 - 2015-11-13 06:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

did it happen in previous qgis releases? can you attach sample data?

#2 - 2015-11-13 06:00 AM - Giovanni Manghi

- Category set to Map Canvas

#3 - 2015-11-13 06:12 AM - Michal Jurewicz

- File Sample_data.zip added

I send you some sample data. By the way it is EPSG:2180 not 4326.

At this moment I noticed one more thing, it happens only when selecting features on layer which is in edition mode. When layer is not editable selecting

works fine.

And on versions 2.8 and 2.10 selection features worked fine.

#4 - 2015-11-13 09:06 AM - Giovanni Manghi

cannot replicate on qgis master/linux. Can you test on other platforms?

#5 - 2015-11-13 09:08 AM - Giovanni Manghi

forgot: this can be very well be caused by a 3rd party plugin. Please try without any plugin active.
#6 - 2015-11-13 09:35 AM - Michal Jurewicz

- Status changed from Feedback to Closed

It was good idea to check plugins. At first a disabled all plugins (3rd party and genuine ones) and problem disappeared. So I made enable all plugins back

and problem didn't come back. Some plugin needed reactivation.

BTW when problem occurred it looked like this: http://quick.as/pQ2audPbk

Thanks for helping me!

#7 - 2015-11-13 10:04 AM - Michal Jurewicz

My happiness was to early, problem occurred one more time. However this time I target which plugin makes problem and it is Digitizing Tools.

#8 - 2015-11-25 06:55 AM - Steve Lowman

I agree. It is since the last upgrade to the Digitizing Tools plugin.

We are working with shapefiles in QGIS 2.8.2. The hanging and crashing happens as already described. I thought it was happening quicker after some

edits like splitting and merging of features, but yes it hangs when you click a feature to select, and the hanging gets progressively longer in duration until it

just hangs and does not come back.

We are currently keeping the plugin disabled, and just enabling it temporarily when we need to use a tool, then disabling again.

Files

Sample_data.zip 10.3 KB 2015-11-13 Michal Jurewicz
